dbXML API

## org.dbxml.xml.dom
Class NodeListImpl

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.ArrayList
                        |
                        +--org.dbxml.xml.dom.NodeListImpl

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, org.w3c.dom.NodeList, java.io.Serializable

Direct Known Subclasses:
  NamedNodeMapImpl

public class NodeListImpl
extends java.util.ArrayList
implements org.w3c.dom.NodeList

NodeListImpl

See Also:
  Serialized Form

Constructor Summary
`NodeListImpl(NodeImpl owner)`

Method Summary
`int` `getLength()` The number of nodes in the list.
`org.w3c.dom.Node` `item(int index)` Returns the `index`th item in the collection.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### NodeListImpl

    public NodeListImpl(NodeImpl owner)

Method Detail

### item

    public final org.w3c.dom.Node item(int index)

  Returns the `index`th item in the collection. If `index` is greater than or equal to the number of nodes in the list, this returns `null`.
  Specified by:
    `item` in interface `org.w3c.dom.NodeList`
  Parameters:
    `index` - Index into the collection.
  Returns:
    The node at the `index`th position in the `NodeList`, or `null` if that is not a valid index.

### getLength

    public final int getLength()

  The number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive.
  Specified by:
    `getLength` in interface `org.w3c.dom.NodeList`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved